plugins {
    id 'base'
    id 'test-report-aggregation'
}

dependencies {
    testReportAggregation project(':netty-buffer')
    testReportAggregation project(':netty-bzip2')
    testReportAggregation project(':netty-channel')
    testReportAggregation project(':netty-channel-epoll')
    testReportAggregation project(':netty-channel-unix')
    testReportAggregation project(':netty-handler')
    testReportAggregation project(':netty-handler-codec')
    testReportAggregation project(':netty-handler-codec-compression')
    testReportAggregation project(':netty-handler-codec-dns')
    testReportAggregation project(':netty-handler-codec-http')
    testReportAggregation project(':netty-handler-codec-http2')
    testReportAggregation project(':netty-handler-codec-http3')
    testReportAggregation project(':netty-handler-codec-quic')
    testReportAggregation project(':netty-handler-codec-rtsp')
    testReportAggregation project(':netty-handler-codec-spdy')
    testReportAggregation project(':netty-handler-ssl')
    testReportAggregation project(':netty-handler-ssl-bouncycastle')
    testReportAggregation project(':netty-internal-tcnative')
    testReportAggregation project(':netty-jctools')
    testReportAggregation project(':netty-resolver')
    testReportAggregation project(':netty-resolver-dns')
    testReportAggregation project(':netty-testsuite')
    testReportAggregation project(':netty-util')
    testReportAggregation project(':netty-zlib')
}

reporting {
    reports {
        testAggregateTestReport(AggregateTestReport) {
            testType = TestSuiteType.UNIT_TEST
        }
    }
}

tasks.named('check') {
    dependsOn tasks.named('testAggregateTestReport', TestReport)
}
